loci.formats.in

## Class IM3Reader.Spectrum

- java.lang.Object
- - loci.formats.in.IM3Reader.Spectrum

- Enclosing class:
    IM3Reader

      public static class IM3Reader.Spectrum
      extends java.lang.Object

  Author:
    Lee Kamentsky Represents a Spectrum record within a SpectralLibrary

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private float[]` | `magnitudes`
    `private java.lang.String` | `name`
    `private float[]` | `wavelengths`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Spectrum(loci.common.IRandomAccess is, IM3Reader.ContainerRecord rec)` Construct a spectrum by parsing a Spectrum record

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `float[]` | `getMagnitudes()`
    `java.lang.String` | `getName()`
    `float[]` | `getWavelengths()`
    `private void` | `parseSpectrumRecord(loci.common.IRandomAccess is, IM3Reader.ContainerRecord rec)` Parse the spectrum record

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### name

          private java.lang.String name

    - #### wavelengths

          private float[] wavelengths

    - #### magnitudes

          private float[] magnitudes

  - ### Constructor Detail

    - #### Spectrum

          Spectrum(loci.common.IRandomAccess is,
                   IM3Reader.ContainerRecord rec)
            throws java.io.IOException

      Construct a spectrum by parsing a Spectrum record
      Parameters:
        `is` - file handle to the file being parsed
        `rec` - the container record grouping the spectrum's record
      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Returns:
        the name of this spectrum or null if unnamed

    - #### getWavelengths

          public float[] getWavelengths()

      Returns:
        the wavelengths for each of the spectral bins

    - #### getMagnitudes

          public float[] getMagnitudes()

      Returns:
        the magnitudes of the signals for each of the spectral bins

    - #### parseSpectrumRecord

          private void parseSpectrumRecord(loci.common.IRandomAccess is,
                                           IM3Reader.ContainerRecord rec)
                                    throws java.io.IOException

      Parse the spectrum record
      Parameters:
        `is` - the file handle
        `rec` - the spectrum container record
      Throws:
        `java.io.IOException`

Copyright © 2026 Open Microscopy Environment